Page MenuHomePhabricator

[Epic] Consolidate "pending" queue usages
Closed, ResolvedPublic

Description

We have four or five pending and limbo queue implementations. Use a single pending queue instead. This should be simple FIFO streams (AtomicReadBuffer) accepting messages from various producers, and a single consumer should splat these messages into a database, where they can be indexed by gateway, status, timestamp, transaction ID, and anything else we find useful. Pending processing jobs should operate on the database records and not couple to the queue.

See also T130897 and T130894.

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedNone
ResolvedNone
Resolvedawight
Resolvedawight
OpenNone
ResolvedNone
Resolvedawight
Resolvedawight
DuplicateNone
ResolvedNone
OpenNone
Resolvedawight
Resolvedawight
OpenNone
Resolvedawight
OpenEjegg
ResolvedNone
ResolvedEjegg
ResolvedJgreen
ResolvedEjegg
ResolvedEjegg

Event Timeline

awight created this task.Mar 24 2016, 10:46 PM

Rewriting the PayPal listener would make pending_paypal_recurring go away.

DStrine renamed this task from Clean up "pending" queue usages to [EPIC] Clean up "pending" queue usages.Mar 29 2016, 7:19 PM
DStrine added projects: FR-ActiveMQ, Epic.
DStrine moved this task from Triage to Q1 (July-Sept) 2019-20 on the Fundraising-Backlog board.
awight renamed this task from [EPIC] Clean up "pending" queue usages to [Epic] Clean up "pending" queue usages.Mar 30 2016, 6:31 PM
awight set the point value for this task to 4.
awight moved this task from Needs refactor to Combine / Incorporate on the Technical-Debt board.
awight removed the point value for this task.Apr 22 2016, 11:03 PM
MBeat33 added a subscriber: MBeat33.May 2 2016, 7:21 PM
awight renamed this task from [Epic] Clean up "pending" queue usages to [Epic] Consolidate "pending" queue usages.Jul 15 2016, 1:04 AM
awight updated the task description. (Show Details)

Change 299686 had a related patch set uploaded (by Awight):
[WIP] Move PendingDatabase into its own class

https://gerrit.wikimedia.org/r/299686

Change 299686 merged by jenkins-bot:
Move PendingDatabase into its own class

https://gerrit.wikimedia.org/r/299686

awight closed this task as Resolved.Sep 21 2016, 2:42 AM
mmodell removed a subscriber: awight.Jun 22 2017, 9:34 PM